interview-questions | Interview questions from multiple tech companies | Pub Sub library
kandi X-RAY | interview-questions Summary
kandi X-RAY | interview-questions Summary
Job interviews sometimes can be a daunting task. Especially when you're confronted with those problems with algorithms and data structures. I'm sure you've been through a lot when you were in school. Linked lists, binary trees, directed acyclic graphs, hash maps, greedy algorithm, divide and conquer, dynamic programming, depth-first search, breadth-first search, and all those good stuff. Not to mention space and time complexity analysis. Even though computer science classes were a pain in the ***, somehow you managed to complete them all and made your friends and family proud of you. You will definitely remember all those all-nighter days with your classmates trying to build a compiler, a file system, and a network router. It was traumatizing. You realized you can push yourself much further than you thought possible. Even with years of hard work, you probably wouldn't claim yourself as a master of computer science, because you know there is much more to be learned. But at least you had some level of confidence that you understand the fundamentals of computer science. Soon after you got yourself a job as a software engineer. You started building awesome stuff. Years have passed by, and things got rusty. Even though you were writing code on a daily basis, you weren't always concerned with implementing algorithms and data structures yourself. In many cases, you were working on the top of some libraries and frameworks to get things done. More years have passed by, and you started thinking about taking a different set of challenges outside your company. You started responding to recruiting messages on LinkedIn that you have been ignoring. Writing a new resume, phone screening, and online coding tests are usual hurdles to jump over. Then here we go. You made all the way through the final round of your hiring process and you were invited to an on-site interview. You are standing in front of a big whiteboard. Your interviewer is asking you to write some code to merge two lists of sorted integers. It is supposed to be an easy problem, but writing code on a whiteboard without syntax highlighting, without auto-complete, without any assistance from a compiler or an interpreter whatsoever is a completely different experience when compared to writing code with a highly advanced integrated development environment (IDE) that reads your mind to write as much as half of the code on your behalf. I recently had serveral job interviews with different companies. Some interviews went well, others were a bit more challenging than they are supposed to be. I've got a few offers and one rejection so far. Some are still in progress and one of them is highly likely going to turn out as a rejection. I was very lucky that one of the companies that I had an interview with gave me detailed feedback. They shared comments from each of the four interviewers, which is very unusual. In essence, they had a positive evaluation of the behavioral interview (communication skills, personality, cultural fit, leadership, etc.) and the system design interview (designing scalable systems at extreme sizes), but they had some doubts about my coding abilities. Regardless of the outcome, I sincerely appreciate that kind of feedback. That's what keeps me moving forward. It's okay to fail. It's okay to make mistakes. As Dr. Hong said, you can't always win, but you can always learn. I've created this repository in an attempt to learn from mistakes.
Support
Quality
Security
License
Reuse
Top functions reviewed by kandi - BETA
- Test the test case
- Reverse tokens
- Count the number of islands in the world
- Mark all the points in the world
- Reverse the HTML tree
- Remove the item from the stack
- Check if nums is possible
- Check if a given point is inside the world
- Test if paths are in the same order
- Build a node from a list of paths
- Traverse a node tree
- Test for test
- Shift a list
- Test for tokenize
- Return a list of tokens
- Test if matrices are monotonic
- Enqueue the test case
- Test if the merge_all
interview-questions Key Features
interview-questions Examples and Code Snippets
Community Discussions
Trending Discussions on interview-questions
QUESTION
So I'm doing a question on LeetCode and even though the function has passed the test cases
I've realised something isn't right here.
I have a array
which is of int
types and the array may or may not have duplicate values in. What I need to do is, return the len()
of the array
once all duplicates are removed. This should be done without creating a new array
to get O(1)
time efficiency.
I've found an answer on SO which gives a great answer and I learnt something new by it, but what I'm confused at is my code below, which passes the test cases but by creating my own in my IDE, the correct returned length is not actually returned. When I've used the remove()
method it only seems to work on the first element in the array. Why is this?
ANSWER
Answered 2021-May-10 at 21:11If you look at the iteration part of your function:
QUESTION
I have this link
https://career.guru99.com/top-50-oops-interview-questions/?format=pdf
I want to redirect it to
https://career.guru99.com/pdf/top-50-oops-interview-questions.pdf
I created the following htaccess rule
...ANSWER
Answered 2020-Dec-12 at 15:19I want
/?format=pdf
to be replaced with
You may try this rule:
QUESTION
I am just trying to practice reasoning through big O of my leetcode solutions.
This is my solution to a problem called "Plus One". I am simply wondering what the Big O time is here. My thoughts and notes are accompanied in the code
...ANSWER
Answered 2020-Nov-04 at 20:17You are not quite correct, but close; in Python, array creation is O(n), and to reach that line in worst case, you need to traverse the entire list which is also O(n). So you have O(n + n) which is O(2n) (but we discard multipliers, so we would classify this as O(n) again).
But like chepner said, iteration would be better here. And to swing off of Ariel A, instead of the try except
block to check if place + 1
is out of index bounds, you could use
if place + 1 >= len(digits)
QUESTION
This is super bugging me - this is a question from TestDome React and I am stuck - could anyone please give me a hand? Thanks in advance! (this is the link: https://www.testdome.com/d/react-js-interview-questions/304) This is the question:
This application should allow the user to update their username by inputting a custom value and clicking the button.
The Username component is finished and should not be changed, but the App component is missing parts. Finish the App component so that the Username component displays the inputted text when the button is clicked.
The App component should use the React.useRef Hook to pass the input to the Username component for the input element and for the Username component.
For example, if the user inputs a new username of "John Doe" and clicks the button, the div element with id root should look like this:
...ANSWER
Answered 2020-Oct-27 at 07:04update the App component to be like that
QUESTION
Hi guys im learning c# currently and Im trying to run threw some interview questions to try and understand them and learn in the process.
I found a question, How do you find the missing number in a given integer array of 1 to 100?
I think I get the General Idea of having to get the sum, Then the Sum of the Sequence then Minus X - Y;
But im confused about the code example below, Why is he using * (arr.Length + 2)
When the Equation is n*(n+1)/2 I know its correct but shouldnt this be (arr.Length + 1) * (arr.Length) / 2
According tot he formula
Im terribly confused.
...ANSWER
Answered 2020-Oct-12 at 13:51The comment gives the answer to your question:
QUESTION
In this article, they spawned an isolate like this:
...ANSWER
Answered 2020-Sep-02 at 14:01Since you can only pass in a single parameter, you can make the parameter a list or a map. One of the elements is the SendPort, the other items are the arguments you want to give the function:
QUESTION
I am trying to solve this question
https://leetcode.com/explore/interview/card/top-interview-questions-medium/107/linked-list/785
I wrote my code and I am trying to test it
...ANSWER
Answered 2020-May-28 at 07:53This is the fix for the test like "Some Programmer dude" suggested
QUESTION
I was learning about ReactJs and I found that when it's rendering aspect is compared to AngularJs - for some reasons it's called that ReactJs is server-side rendering technology.
I'm surprised to know this!
Look at the question # 10 here or this Youtube tutorial link
As far as I understand both AngularJs and ReactJs can render on both client & server-side.
I'm quite curious about what am I missing here?
...ANSWER
Answered 2020-Apr-09 at 10:48Update: I've decided to not delete this thread as this kind of non-sense can be experienced by others as well. Read the comments on question!
There is no difference in terms of rendering wrt the client or server-side. The ReactJs and AngularJs are both client-side and server-side technologies.
QUESTION
I'm practicing on test dome and come across to this question I don't have idea how to use lambda but I still try so I don't know if I'm right. Here's the instruction:
As part of a data processing pipeline, complete the implementation of the pipeline method:
The method should accept a variable number of functions, and it should return a new function that accepts one parameter arg.
The returned function should call the first function in the pipeline with the parameter arg, and call the second function with the result of the first function.
The returned function should continue calling each function in the pipeline in order, following the same pattern, and return the value from the last function.
For example,
pipeline(-> (x) { x * 3 }, -> (x) { x + 1 }, -> (x) { x / 2 })
then calling the returned function with3
should return5
.
And here's my code.
...ANSWER
Answered 2019-Aug-20 at 11:55All you need is simply reduce the array of functions.
QUESTION
I found following code snippet here https://www.toptal.com/c-plus-plus/interview-questions with the question: How many times will this loop execute? Explain your answer
...ANSWER
Answered 2020-Feb-23 at 16:37Arithmetic on types smaller than int
first promotes them to int
. For that reason 2 * half_limit
is 300
. Assuming the largest value unsigned char
can represent is 255
, all the values i
can possibly have satisfy i < 2 * half_limit
, thus this is an infinite loop.
Community Discussions, Code Snippets contain sources that include Stack Exchange Network
Vulnerabilities
No vulnerabilities reported
Install interview-questions
You can use interview-questions like any standard Python library. You will need to make sure that you have a development environment consisting of a Python distribution including header files, a compiler, pip, and git installed. Make sure that your pip, setuptools, and wheel are up to date. When using pip it is generally recommended to install packages in a virtual environment to avoid changes to the system.
Support
Reuse Trending Solutions
Find, review, and download reusable Libraries, Code Snippets, Cloud APIs from over 650 million Knowledge Items
Find more librariesStay Updated
Subscribe to our newsletter for trending solutions and developer bootcamps
Share this Page